## org.gnu.gtk
Class ActionGroup

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.ActionGroup

public class ActionGroup
extends GObject

Constructor Summary
`ActionGroup(java.lang.String name)` Construct a new ActionGroup object.

Method Summary
`void` `addAction(Action anAction)` Add an Action object to the ActionGroup
`void` `addActions(ActionEntry[] entries)` Add an array of ActonEntry objects to the ActionGroup
`void` `addRadioActions(RadioActionEntry[] entries, int initialValue, RadioActionEntryListener listener)` Add an array of RadioActionEntry objects to the ActionGroup and setup the event handling.
`void` `addToggleActions(ToggleActionEntry[] entries)` Add an array of ToggleActonEntry objects to the ActionGroup
`Action` `getAction(java.lang.String actionName)` Look up an Action in the ActionGroup by name.
`java.lang.String` `getName()` Get the name of the action group.
`boolean` `getSensitive()`
`boolean` `getVisible()`
`java.util.List` `listActions()` List the Actions in the ActionGroup
`void` `removeAction(Action anAction)` Remove an Action object from the ActionGroup
`void` `setSensitive(boolean sensitive)`
`void` `setVisible(boolean visible)`
`java.lang.String` `translateString(java.lang.String str)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionGroup

    public ActionGroup(java.lang.String name)

  Construct a new ActionGroup object.

Parameters:
  `name` - Used when associating keybindings with the actions.

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the action group.

  Returns:
    the name of the action group

### getSensitive

    public boolean getSensitive()

### setSensitive

    public void setSensitive(boolean sensitive)

### getVisible

    public boolean getVisible()

### setVisible

    public void setVisible(boolean visible)

### translateString

    public java.lang.String translateString(java.lang.String str)

### getAction

    public Action getAction(java.lang.String actionName)

  Look up an Action in the ActionGroup by name.

  Parameters:
    `actionName` -
  Returns:
    the Action or null if no Action by that name exists.

### addAction

    public void addAction(Action anAction)

  Add an Action object to the ActionGroup

  Parameters:
    `anAction` -

### addActions

    public void addActions(ActionEntry[] entries)

  Add an array of ActonEntry objects to the ActionGroup

  Parameters:
    `entries` -

### addToggleActions

    public void addToggleActions(ToggleActionEntry[] entries)

  Add an array of ToggleActonEntry objects to the ActionGroup

  Parameters:
    `entries` -

### addRadioActions

    public void addRadioActions(RadioActionEntry[] entries,
                                int initialValue,
                                RadioActionEntryListener listener)

  Add an array of RadioActionEntry objects to the ActionGroup and setup the event handling.

  Parameters:
    `entries` -
    `listener` -
    `initialValue` -

### removeAction

    public void removeAction(Action anAction)

  Remove an Action object from the ActionGroup

  Parameters:
    `anAction` -

### listActions

    public java.util.List listActions()

  List the Actions in the ActionGroup

  Returns:
    A list of Action objects.